SUSE SLES11 Security Update : xorg-x11-libXpm (SUSE-SU-2017:0470-1)

critical Nessus Plugin ID 97204

Language:

Synopsis

The remote SUSE host is missing one or more security updates.

Description

This update for xorg-x11-libXpm fixes the following security issue :

- A heap overflow in XPM handling could be used by attackers supplying XPM files to crash or potentially execute code. (bsc#1021315)

Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Software Development Kit 11-SP4:zypper in -t patch sdksp4-xorg-x11-libXpm-12988=1

SUSE Linux Enterprise Server 11-SP4:zypper in -t patch slessp4-xorg-x11-libXpm-12988=1

SUSE Linux Enterprise Debuginfo 11-SP4:zypper in -t patch dbgsp4-xorg-x11-libXpm-12988=1

To bring your system up-to-date, use 'zypper patch'.

See Also

https://bugzilla.suse.com/show_bug.cgi?id=1021315

https://www.suse.com/security/cve/CVE-2016-10164/

http://www.nessus.org/u?48c80660

Plugin Details

Severity: Critical

ID: 97204

File Name: suse_SU-2017-0470-1.nasl

Version: 3.10

Type: local

Agent: unix

Published: 2/16/2017

Updated: 1/19/2021

Supported Sensors: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:xorg-x11-libXpm, cpe:/o:novell:suse_linux:11

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 2/15/2017

Vulnerability Publication Date: 2/1/2017

Reference Information

CVE: CVE-2016-10164